| Home | Libraries | People | FAQ | More

##### basic_socket_streambuf::local_endpoint (1 of 2 overloads)

Inherited from basic_socket.

Get the local endpoint of the socket.

    endpoint_type local_endpoint() const;

This function is used to obtain the locally bound endpoint of the socket.

###### Return Value

An object that represents the local endpoint of the socket.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    boost::asio::ip::tcp::endpoint endpoint = socket.local_endpoint();